<?php
###############################################################################
# Hooks.php
#
# @author Anil Kumar <akumar@codepunch.com>
# @link   https://codepunch.com
#
############################################################################### 

namespace 	CodePunch\LU;
use CodePunch\Base\Util as UTIL;

###############################################################################

class Hooks  {
	
	public static function onDomainDataUpdate($auth, $domain, $lutype, $newdata) : bool {
		return false;
	}
	
	public static function onDNSDataMonitor($auth, $domain, $subdomain, $ddata) : bool {
		return false;
	}
	
	public static function onHttpDataLookup($auth, $domain, $pagedata, $parseddata) : array {
		return $parseddata;
	}
	
	public static function onRegistryWhoisLookup($auth, $domain, $whoisserver, $whoisdata, $parseddata) : array {
		return $parseddata;
	}
	
	public static function onRegistrarWhoisLookup($auth, $domain, $whoisserver, $whoisdata, $parseddata) : array {
		return $parseddata;
	}
}
